package com.example.nto.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.time.LocalDateTime;

@Data  // Генерирует геттеры, сеттеры и тд.
@Entity  // Говорит Spring, что это сущность из базы данных.
@Builder  // Добавляет возможность использовать builder-стиль создания класса. ( Color.builder().setGreen(...).setBlue(...).build() )
@NoArgsConstructor  // Добавляет конструктор без аргументов.
@AllArgsConstructor  // Добавляет конструктор со всеми аргументами.
@Table(name = "employee")
public class Employee {
    @Id
    private long id;
    private String login;
    private String name;
    private String photo;
    private String position;
    private LocalDateTime lastVisit;
}
